Make set-greet-message require operator perms, remove System.out prints

This commit is contained in:
2026-01-17 12:18:22 +08:00
parent 6635b7aff4
commit 033e751c9a
12 changed files with 48 additions and 45 deletions
+2 -2
View File
@@ -32,7 +32,7 @@ server:
entry_message: Welcome to @servername, @playername! entry_message: Welcome to @servername, @playername!
webhooks: webhooks:
notify: default-ns notify: default-ns
broadcast: defeault-ns broadcast: default-ns
log: true log: true
firstrun: 0 firstrun: 0
``` ```
@@ -40,7 +40,7 @@ firstrun: 0
You can also make a configuration file without starting the server up; copy the config above, make the plugin directory yourself, make a file named `config.yml`, and paste the text into it. You can then change the settings, as long as the `firstrun` field exists. You can also make a configuration file without starting the server up; copy the config above, make the plugin directory yourself, make a file named `config.yml`, and paste the text into it. You can then change the settings, as long as the `firstrun` field exists.
The configuration file should have two fields with the value `default-ns`. Paste the webhook links in the space following the key name (such as `notify`), The configuration file should have two fields with the value `default-ns`. Paste the webhook links in the space following the key name (such as `notify`),
or over the `default-ns` text. The configuration should look like this afterward: or over the `default-ns` text. The configuration should look like this afterwards:
```yml ```yml
Binary file not shown.
-5
View File
@@ -1,5 +0,0 @@
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-7.5.1-bin.zip
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
vendored
+25 -13
View File
@@ -15,6 +15,8 @@
# See the License for the specific language governing permissions and # See the License for the specific language governing permissions and
# limitations under the License. # limitations under the License.
# #
# SPDX-License-Identifier: Apache-2.0
#
############################################################################## ##############################################################################
# #
@@ -55,7 +57,7 @@
# Darwin, MinGW, and NonStop. # Darwin, MinGW, and NonStop.
# #
# (3) This script is generated from the Groovy template # (3) This script is generated from the Groovy template
# https://github.com/gradle/gradle/blob/master/subprojects/plugins/src/main/resources/org/gradle/api/internal/plugins/unixStartScript.txt # https://github.com/gradle/gradle/blob/HEAD/platforms/jvm/plugins-application/src/main/resources/org/gradle/api/internal/plugins/unixStartScript.txt
# within the Gradle project. # within the Gradle project.
# #
# You can find Gradle at https://github.com/gradle/gradle/. # You can find Gradle at https://github.com/gradle/gradle/.
@@ -80,13 +82,12 @@ do
esac esac
done done
APP_HOME=$( cd "${APP_HOME:-./}" && pwd -P ) || exit # This is normally unused
# shellcheck disable=SC2034
APP_NAME="Gradle"
APP_BASE_NAME=${0##*/} APP_BASE_NAME=${0##*/}
# Discard cd standard output in case $CDPATH is set (https://github.com/gradle/gradle/issues/25036)
# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script. APP_HOME=$( cd -P "${APP_HOME:-./}" > /dev/null && printf '%s
DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"' ' "$PWD" ) || exit
# Use the maximum available, or set MAX_FD != -1 to use that value. # Use the maximum available, or set MAX_FD != -1 to use that value.
MAX_FD=maximum MAX_FD=maximum
@@ -133,22 +134,29 @@ location of your Java installation."
fi fi
else else
JAVACMD=java JAVACMD=java
which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. if ! command -v java >/dev/null 2>&1
then
die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
Please set the JAVA_HOME variable in your environment to match the Please set the JAVA_HOME variable in your environment to match the
location of your Java installation." location of your Java installation."
fi
fi fi
# Increase the maximum file descriptors if we can. # Increase the maximum file descriptors if we can.
if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then
case $MAX_FD in #( case $MAX_FD in #(
max*) max*)
# In POSIX sh, ulimit -H is undefined. That's why the result is checked to see if it worked.
# shellcheck disable=SC2039,SC3045
MAX_FD=$( ulimit -H -n ) || MAX_FD=$( ulimit -H -n ) ||
warn "Could not query maximum file descriptor limit" warn "Could not query maximum file descriptor limit"
esac esac
case $MAX_FD in #( case $MAX_FD in #(
'' | soft) :;; #( '' | soft) :;; #(
*) *)
# In POSIX sh, ulimit -n is undefined. That's why the result is checked to see if it worked.
# shellcheck disable=SC2039,SC3045
ulimit -n "$MAX_FD" || ulimit -n "$MAX_FD" ||
warn "Could not set maximum file descriptor limit to $MAX_FD" warn "Could not set maximum file descriptor limit to $MAX_FD"
esac esac
@@ -193,11 +201,15 @@ if "$cygwin" || "$msys" ; then
done done
fi fi
# Collect all arguments for the java command;
# * $DEFAULT_JVM_OPTS, $JAVA_OPTS, and $GRADLE_OPTS can contain fragments of # Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
# shell script including quotes and variable substitutions, so put them in DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"'
# double quotes to make sure that they get re-expanded; and
# * put everything else in single quotes, so that it's not re-expanded. # Collect all arguments for the java command:
# * DEFAULT_JVM_OPTS, JAVA_OPTS, JAVA_OPTS, and optsEnvironmentVar are not allowed to contain shell fragments,
# and any embedded shellness will be escaped.
# * For example: A user cannot expect ${Hostname} to be expanded, as it is an environment variable and will be
# treated as '${Hostname}' itself on the command line.
set -- \ set -- \
"-Dorg.gradle.appname=$APP_BASE_NAME" \ "-Dorg.gradle.appname=$APP_BASE_NAME" \
vendored
+13 -10
View File
@@ -13,6 +13,8 @@
@rem See the License for the specific language governing permissions and @rem See the License for the specific language governing permissions and
@rem limitations under the License. @rem limitations under the License.
@rem @rem
@rem SPDX-License-Identifier: Apache-2.0
@rem
@if "%DEBUG%"=="" @echo off @if "%DEBUG%"=="" @echo off
@rem ########################################################################## @rem ##########################################################################
@@ -26,6 +28,7 @@ if "%OS%"=="Windows_NT" setlocal
set DIRNAME=%~dp0 set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=. if "%DIRNAME%"=="" set DIRNAME=.
@rem This is normally unused
set APP_BASE_NAME=%~n0 set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME% set APP_HOME=%DIRNAME%
@@ -42,11 +45,11 @@ set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1 %JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute if %ERRORLEVEL% equ 0 goto execute
echo. echo. 1>&2
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. 1>&2
echo. echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. echo location of your Java installation. 1>&2
goto fail goto fail
@@ -56,11 +59,11 @@ set JAVA_EXE=%JAVA_HOME%/bin/java.exe
if exist "%JAVA_EXE%" goto execute if exist "%JAVA_EXE%" goto execute
echo. echo. 1>&2
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME% echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME% 1>&2
echo. echo. 1>&2
echo Please set the JAVA_HOME variable in your environment to match the echo Please set the JAVA_HOME variable in your environment to match the 1>&2
echo location of your Java installation. echo location of your Java installation. 1>&2
goto fail goto fail
-1
View File
@@ -1 +0,0 @@
rootProject.name = 'notifyonstart'
+2 -6
View File
@@ -9,8 +9,6 @@ import moe.sob.events.player.*;
import moe.sob.events.server.ServerLoad; import moe.sob.events.server.ServerLoad;
import moe.sob.events.world.WorldLoad; import moe.sob.events.world.WorldLoad;
import moe.sob.events.world.WorldUnload; import moe.sob.events.world.WorldUnload;
import com.google.gson.JsonElement;
import com.google.gson.JsonParser;
import org.bukkit.Bukkit; import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration; import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration; import org.bukkit.configuration.file.YamlConfiguration;
@@ -21,8 +19,6 @@ import java.awt.*;
import java.io.*; import java.io.*;
import java.net.HttpURLConnection; import java.net.HttpURLConnection;
import java.net.URL; import java.net.URL;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Date; import java.util.Date;
import java.util.Objects; import java.util.Objects;
@@ -33,7 +29,7 @@ public class Main extends JavaPlugin {
public static File config; public static File config;
public static FileConfiguration configR; public static FileConfiguration configR;
public static void main(String... args) { public static void main(String... args) {
System.out.printf("Initializing using server address: %s...%n", ServerUtils.address); mainSmall.getLogger().info(String.format("Initializing using server address: %s...%n", ServerUtils.address));
} }
@Override @Override
public void onDisable() { public void onDisable() {
@@ -122,7 +118,7 @@ public class Main extends JavaPlugin {
} }
} catch (Exception e) { } catch (Exception e) {
mainSmall.getLogger().warning("Invalid webhook URL provide for your public messages. Please provide the correct webhook and check for any typos. (Caught exception)"); mainSmall.getLogger().warning("Invalid webhook URL provide for your public messages. Please provide the correct webhook and check for any typos. (Caught exception)");
System.out.printf("Exception: %s%n", e); mainSmall.getLogger().severe(String.format("Exception: %s%n", e));
return false; return false;
} }
} }
+3 -3
View File
@@ -19,7 +19,7 @@ public class ServerUtils {
Socket s = new Socket(); Socket s = new Socket();
s.connect(new InetSocketAddress(serverAddress, Integer.parseInt(serverPort.toString())), 15); s.connect(new InetSocketAddress(serverAddress, Integer.parseInt(serverPort.toString())), 15);
s.close(); s.close();
System.out.println("Server is online. Test notifying by sending a message to your webhook... (Pinged " + serverAddress + ":" + server.getPort() + ")"); Bukkit.getConsoleSender().sendMessage("Server is online. Test notifying by sending a message to your webhook... (Pinged " + serverAddress + ":" + server.getPort() + ")");
return true; return true;
} catch (Exception e) { } catch (Exception e) {
System.out.println("Server is inactive. Pinging fallback address..."); System.out.println("Server is inactive. Pinging fallback address...");
@@ -28,10 +28,10 @@ public class ServerUtils {
Socket s = new Socket(); Socket s = new Socket();
s.connect(new InetSocketAddress(address_fallback, Integer.parseInt(serverPort.toString())), 15); s.connect(new InetSocketAddress(address_fallback, Integer.parseInt(serverPort.toString())), 15);
s.close(); s.close();
System.out.println("Server is online. Sending message to webhook_notify... (Pinged " + Utils.getServerHostPublicIP() + ":" + server.getPort() + ")"); Bukkit.getConsoleSender().sendMessage("Server is online. Sending message to webhook_notify... (Pinged " + Utils.getServerHostPublicIP() + ":" + server.getPort() + ")");
return true; return true;
} catch (Exception err) { } catch (Exception err) {
System.out.println("Fallback address is inactive. No longer pinging..."); Bukkit.getConsoleSender().sendMessage("Fallback address is inactive. No longer pinging...");
} }
return false; return false;
} }
@@ -7,9 +7,7 @@ import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor; import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender; import org.bukkit.command.CommandSender;
import java.awt.*;
import java.io.IOException; import java.io.IOException;
import java.util.Date;
public class SendMessageCommand implements CommandExecutor { public class SendMessageCommand implements CommandExecutor {
@Override @Override
@@ -1,7 +1,6 @@
package moe.sob.commands; package moe.sob.commands;
import moe.sob.Main; import moe.sob.Main;
import org.bukkit.ChatColor;
import org.bukkit.command.Command; import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor; import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender; import org.bukkit.command.CommandSender;
@@ -1,7 +1,6 @@
package moe.sob.commands; package moe.sob.commands;
import moe.sob.Main; import moe.sob.Main;
import org.bukkit.Bukkit;
import org.bukkit.command.Command; import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor; import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender; import org.bukkit.command.CommandSender;
+3 -1
View File
@@ -17,13 +17,15 @@ commands:
description: Enables or disables event logging. Server performance is enhanced while logs are disabled. (Depending on server speed) description: Enables or disables event logging. Server performance is enhanced while logs are disabled. (Depending on server speed)
usage: /set-logging <true|false> usage: /set-logging <true|false>
permission: op permission: op
permission-message: Only operators can use this command. permission-message: Only server operators can use this command.
aliases: [sl] aliases: [sl]
ping-server: ping-server:
description: Gets the server ping. description: Gets the server ping.
usage: /ping-server usage: /ping-server
aliases: [ping] aliases: [ping]
set-greet-message: set-greet-message:
permission: op
permission-message: Only server operators can use this command.
description: Change the message sent to players whenever they join the server. description: Change the message sent to players whenever they join the server.
usage: /set-greet-message <msg> usage: /set-greet-message <msg>
aliases: [sgm] aliases: [sgm]